> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teceo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# enqueue a product creation process



## OpenAPI

````yaml https://integration.teceo.co/aos post /v1/products/import-products
openapi: 3.0.0
info:
  title: teceo brand integrator API
  description: integrate your brand with teceo
  version: '1.0'
  contact: {}
servers:
  - url: /
security: []
tags: []
paths:
  /v1/products/import-products:
    post:
      tags:
        - 'Products:'
      summary: enqueue a product creation process
      operationId: ProductsController_create_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateProductDto'
      responses:
        '200':
          description: enqueue a product creation process
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductImportProcessResult'
        '400':
          description: >-
            response status code indicates that the server cannot or will not
            process the request due to something that is perceived to be a
            client error
        '403':
          description: >-
            client error status response code indicates that the server
            understood the request but refuses to authorize it
      security:
        - ApiKey: []
components:
  schemas:
    CreateProductDto:
      type: object
      properties:
        code:
          type: string
        referenceCode:
          type: string
        name:
          type: string
        active:
          type: boolean
        description:
          type: string
        resume:
          type: string
        integrationCode:
          type: string
        collection:
          $ref: '#/components/schemas/ImportCollectionDto'
        classifications:
          type: array
          items:
            $ref: '#/components/schemas/ImportClassificationDto'
        category:
          $ref: '#/components/schemas/ImportCategoryDto'
        skus:
          type: array
          items:
            $ref: '#/components/schemas/ImportSkuDto'
      required:
        - code
        - name
        - active
        - integrationCode
        - collection
        - skus
    ProductImportProcessResult:
      type: object
      properties:
        integrationImportId:
          type: string
      required:
        - integrationImportId
    ImportCollectionDto:
      type: object
      properties:
        code:
          type: string
        name:
          type: string
      required:
        - code
        - name
    ImportClassificationDto:
      type: object
      properties:
        name:
          type: string
        code:
          type: string
        description:
          type: string
        classificationType:
          $ref: '#/components/schemas/ImportClassificationTypeDto'
      required:
        - name
        - code
        - classificationType
    ImportCategoryDto:
      type: object
      properties:
        name:
          type: string
        code:
          type: string
        parentCode:
          type: string
          description: code of parent category
        parentName:
          type: string
          description: name of parent category
      required:
        - name
        - code
    ImportSkuDto:
      type: object
      properties:
        code:
          type: string
          description: sku code
        barcode:
          type: string
          description: sku barcode
        wholesalePrice:
          type: number
          description: default wholesale price
        retailPrice:
          type: number
          description: default retail price
        productSizeActive:
          type: boolean
          default: true
        availableForPreOrder:
          type: boolean
          description: indicates if sku is available on pre order sales
        availableForSale:
          type: boolean
          description: indicates if sku is available on ready for delivery sales
        preOrderStartDate:
          format: date-time
          type: string
          description: pre order start date
        preOrderEndDate:
          format: date-time
          type: string
          description: pre order end date
        preOrderMinimumQuantity:
          type: number
          description: minimum quantity for sale on pre order
        color:
          $ref: '#/components/schemas/ImportColorDto'
        size:
          $ref: '#/components/schemas/ImportSizeDto'
        priceTables:
          type: array
          items:
            $ref: '#/components/schemas/ImportPriceTableDto'
      required:
        - code
        - wholesalePrice
        - retailPrice
        - availableForPreOrder
        - color
        - size
        - priceTables
    ImportClassificationTypeDto:
      type: object
      properties:
        name:
          type: string
        code:
          type: string
        useAsFilter:
          type: boolean
          default: false
        useAsTag:
          type: boolean
          default: false
      required:
        - name
        - code
    ImportColorDto:
      type: object
      properties:
        code:
          type: string
          description: color code
        name:
          type: string
          description: color name
        isImage:
          type: boolean
          description: indicates if the color represents an image
        active:
          type: boolean
          description: indicates if the color is active
        imageUrl:
          type: string
          description: the url of image
        hexcode:
          type: string
          description: the hex code of color
          example: '#ffffff'
      required:
        - code
        - name
        - isImage
        - active
    ImportSizeDto:
      type: object
      properties:
        name:
          type: string
          description: size name
        unique:
          type: boolean
          description: indicates if size is unique
          default: false
      required:
        - name
    ImportPriceTableDto:
      type: object
      properties:
        code:
          type: string
          description: price table code
        name:
          type: string
          description: price table name
        active:
          type: boolean
          description: indicates if price table is active
        wholesalePrice:
          type: number
          description: wholesale price of sku
        retailPrice:
          type: number
          description: retail price of sku
        useDefaultTablePrice:
          type: boolean
          description: >-
            indicates whether the price from the default price table should be
            used for this sku
          default: false
        priceComposition:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/ImportPriceCompositionDto'
      required:
        - code
        - name
        - active
        - wholesalePrice
        - retailPrice
        - priceComposition
    ImportPriceCompositionDto:
      type: object
      properties:
        code:
          type: string
          description: price composition code
        label:
          type: string
          description: price composition label
        active:
          type: boolean
          description: indicates if price composition is active
        value:
          type: number
          description: the value of this part of price composition
      required:
        - code
        - label
        - active
        - value
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: unique identifier access key. each brand has it own unique key.

````